Make CharInsert available on Special:Upload
Closed, ResolvedPublic

Description

It would be of benefit to inlcude a box of accents and other special characters
on the upload page, similar to that at the bottom of edit pages.

I'm not a developer and so quite likely to be wrong about this, but from what I
can tell the box on the edit page is produced from the same MediaWiki page that
displays the copyright warning. The copyright warning on the upload page is
produced from a different MediaWiki page and so the accents box does not appear.
Adding it to the upload page below the "all files need to have a free license"
box would be simple for any admin to do. However, IMHO at least, it would better
to locate it below the description box, like on edit pages.

There is currently no MediaWiki page that I can see that adds anything to this
part of the page, and so a new one is probably needed - perhaps [[MediaWiki:Char
Insert]] or [[MediaWiki:Accent box]]. It would make sense to then put this box
on the edit pages as well (to keep the available symbols the same and in the
same order) and remove them from the copyright warning box - where they are
somewhat of an illiogical fit.

See [http://commons.wikimedia.org/wiki/Commons:Village_pump#Proposal: Special
signs in the upload form] for a discussion on this.


Version: unspecified
Severity: enhancement

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz4100.
Thryduulf created this task.Via LegacyNov 28 2005, 3:14 PM
bzimport added a comment.Via ConduitNov 29 2005, 4:34 PM

dejan.papez wrote:

I copied special signs to the Mediawiki:Uploadtext page, but wasn't able to
insert them in the file description box shown below the message on the
Special:Upload page. So we really need help from a developer here.

As to the normal edit box (on the edit page), IMO the signs should be located
just below the edit box before the buttons (and etc) and especially before the
list of all templates used on the page that can be very long sometimes. An
example of how we tackled this temporarily is available at
[http://sl.wikipedia.org/w/index.php?title=Wikipedija:Peskovnik&action=edit this
page (sandbox)] of Slovenian Wikipedia.

I think the available symbols should preferably not be the same for the upload
page and the regular edit window, but customizable. For example, the redirect
template is not needed to edit the image description but can be very useful as
part of the regular window.

bzimport added a comment.Via ConduitNov 29 2005, 4:42 PM

robchur wrote:

You're referring, I think, to the CharInsert extension, which is NOT added via a
system message.

bzimport added a comment.Via ConduitNov 29 2005, 5:28 PM

chris.mckenna wrote:

(In reply to comment #2)

You're referring, I think, to the CharInsert extension, which is NOT added via a
system message.

Yes, I am referring to CharInsert, but I don't understand what you are saying
with regards to system messages.

On the English Wikipedia and Commons, the CharInsert symbols (e.g. <charinsert>
Ĉ ĉ Ĝ ĝ Ĥ ĥ Ĵ ĵ Ŝ ŝ Ŵ ŵ Ŷ ŷ </charinsert>) included on the
MediaWiki:Copyrightwarning page, the example above shows that the Slovenian
Wikipedia has the CharInsert symbols on the MediaWiki:Summary page. i.e. they
are included on the edit page by being part of a system message.

What I am asking for is a way of adding a CharInsert section to the
special:upload page so that characters like those above can be included in the
image description when the image is uploaded rather than requiring an extra edit
after the upload. My *guess* at how this might be done is to add a new MediaWiki
namespace page to add the CharInsert block, as no current MediaWiki page adds
anything where we want it to. I'm not a developer and not familiar with the way
MediaWiki works, so this might not work/be possible/be an inferior way of doing it.

bzimport added a comment.Via ConduitNov 29 2005, 7:31 PM

robchur wrote:

That'll teach me to read properly in future.

brion added a comment.Via ConduitNov 30 2005, 10:49 AM

Created attachment 1118
Work in progress

Adds MediaWiki:Edittools which can contain eg charinsert stuff; will appear
beneath both edit box and the upload form. Modifies behavior of JS so that
charinsert will work on forms other than the main edit form (uses first
available textarea).

Rearranges bits on edit page a bit.

Currently live on test.leuksman.com, try it out.

attachment edittools.diff.txt ignored as obsolete

brion added a comment.Via ConduitNov 30 2005, 10:14 PM
  • Bug 4121 has been marked as a duplicate of this bug. ***
bzimport added a comment.Via ConduitNov 30 2005, 10:22 PM

gangleri wrote:

Thanks Brion for
http://test.leuksman.com/index.php?title=MediaWiki:Edittools
both
http://test.leuksman.com/index.php?title=test_foo_bar&action=edit&uselang=en
and
http://test.leuksman.com/index.php?title=test_foo_bar&action=edit&uselang=de
preserve the message. Is this just because this message is not defined for 'de'?

uselang=he does not use the Hebrew interface at
http://test.leuksman.com/index.php?title=test_foo_bar&action=edit&uselang=he

best regards reinhardt [[user:gangleri]]

brion added a comment.Via ConduitDec 2 2005, 3:30 AM

Created attachment 1123
Patch as committed to CVS HEAD

Attached: 4100.diff.txt

Wikinaut added a comment.Via ConduitDec 14 2005, 12:38 AM

Created attachment 1185
Patch for MediaWiki:copyrightwarning2 -- for wikis supporting the CharInsert extension. Patch delivers the whole zoo of accented characters mostly needed in the western languages encoded as UTF-8

attachment CVS-HEAD.diff ignored as obsolete

brion added a comment.Via ConduitDec 15 2005, 7:48 PM

Comment on attachment 1185
Patch for MediaWiki:copyrightwarning2 -- for wikis supporting the CharInsert extension. Patch delivers the whole zoo of accented characters mostly needed in the western languages encoded as UTF-8

This patch is bogus -- it doesn't do anything useful, is contrary to how this
bug is already solved, and will cause the wiki to include useless junk by
default. Please don't attach bogus patches on unrelated bug reports like this.

Add Comment